# QBuffer Class Reference

### [com.trolltech.qt.core package]

Inherits QIODevice.

### Constructor

- void QBuffer(QByteArray buf, QObject parent)
- void QBuffer(QObject parent)

### Constructor Properties

- prototype: The QBuffer prototype object

### Prototype Object Properties

The QBuffer prototype object inherits properties from the QIODevice prototype object and also has the following properties.

- void setBuffer(QByteArray a)
- void setData(QByteArray data)

### Instance Properties

QBuffer objects have no special properties beyond those inherited from the QBuffer prototype object.